<?php
/**
* @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
* @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
* @author iJoomla.com <webmaster@ijoomla.com>
* @url https://www.jomsocial.com/license-agreement
* The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
* More info at https://www.jomsocial.com/license-agreement
*/

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\Input\Input;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.controller' );

/**
 * JomSocial Component Controller
 */
class CommunityControllerNetwork extends CommunityController
{
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Method to save the configuration
	 **/
	public function save()
	{
		// Test if this is really a post request
		$method	= Input::getMethod();

		if( $method == 'GET' )
		{
            Factory::getApplication()->enqueueMessage(Text::_('COM_COMMUNITY_ACCESS_NOT_ALLOWED'), 'error');
			return;
		}

		$mainframe	= Factory::getApplication();

		$model	= $this->getModel( 'Network' );

		// Try to save network configurations
		if( $model->save() )
		{
			$message	= Text::_('COM_COMMUNITY_NETWORK_CONFIGURATION_UPDATED');
			$this->setRedirect( 'index.php?option=com_community&view=network', $message, 'message' );
		}
		else
		{
            Factory::getApplication()->enqueueMessage(Text::_('COM_COMMUNITY_CONFIGURATION_NETWORK_SAVE_FAIL'), 'error');
		}
	}
}