<?php
/**
 * @copyright (C) 2016 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.utilities.arrayhelper');

class CommunityViewChat extends CommunityView
{
    public function display($tpl = null){
        $app = Factory::getApplication();
        $user = Factory::getUser();
        $url = Uri::getInstance();
        $encoded_url = base64_encode($url);
        if ($user->guest) {
            $app->redirect(Route::_('index.php?option=com_users&view=login&return='.$encoded_url, false));
        }
        $tmpl = new CTemplate();
        $assets = CAssets::getInstance();
        $assets->addData('chat_page_list', $tmpl->fetch('chat/page-list', true));
        $assets->addData('chat_window', $tmpl->fetch('chat/window', true));
        $assets->addData('is_chat_view', true);
        echo $tmpl->fetch('chat/default');
    }
}
