<?php

/**
 * @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Language\Text;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>

<div class="widget-box">
	<div class="widget-header widget-header-flat">
		<h5><?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS'); ?></h5>
	</div>
	<div class="widget-body">
		<div class="widget-main">
			<table>
				<tbody>
					<tr>
						<td width="250" class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_AVATAR_UPLOAD_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_AVATAR_UPLOAD'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('enableavataruploadregister', 'ace-switch ace-switch-5', null, $this->config->get('enableavataruploadregister')); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_TERMS_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_TERMS'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('enableterms', 'ace-switch ace-switch-5', null, $this->config->get('enableterms')); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_TERMS_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_TERMS'); ?>
							</span>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<?php echo $this->editor->displayEditor('registrationTerms', $this->config->get('registrationTerms'), '100%', '50', '10', '20', false); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_GDPR_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ENABLE_GDPR'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('enablegdpr', 'ace-switch ace-switch-5', null, $this->config->get('enablegdpr')); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_REPEAT_EMAIL_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_REPEAT_EMAIL'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('check_register_multiple_email', 'ace-switch ace-switch-5', null, $this->config->get('check_register_multiple_email')); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ALLOWEDDOMAINS_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ALLOWEDDOMAINS'); ?>
							</span>
						</td>
						<td>
							<input type="text" name="alloweddomains" value="<?php echo $this->config->get('alloweddomains'); ?>" size="35" />
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_DENIEDDOMAINS_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_DENIEDDOMAINS'); ?>
							</span>
						</td>
						<td>
							<input type="text" name="denieddomains" value="<?php echo $this->config->get('denieddomains'); ?>" size="35" />
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ALLOW_PROFILE_DELETION_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ALLOW_PROFILE_DELETION'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('profile_deletion', 'ace-switch ace-switch-5', null, $this->config->get('profile_deletion')); ?>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div class="alert alert-info"><?php echo str_replace("_QQQ_", '"', Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_ALLOW_PROFILE_DELETION_DESC')); ?></div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="space-12"></div>
<div class="widget-box">
	<div class="widget-header widget-header-flat">
		<h5><?php echo Text::_('COM_COMMUNITY_CONFIGURATION_RECAPTCHA'); ?></h5>
	</div>
	<div class="widget-body">
		<div class="widget-main">
			<table>
				<tbody>
					<tr>
						<td width="250" class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_RECAPTCHA_ENABLE_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_RECAPTCHA_ENABLE'); ?>
							</span>
						</td>
						<td>
							<?php echo CHTMLInput::checkbox('nocaptcha', 'ace-switch ace-switch-5', null, $this->config->get('nocaptcha')); ?>
						</td>
					</tr>
					<tr>
						<td width="250" class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_RECAPTCHAV3_ENABLE_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_RECAPTCHAV3_ENABLE'); ?>
							</span>
						</td>
						<td>
							<div>
								<?php echo CHTMLInput::checkbox('recaptchav3', 'ace-switch ace-switch-5', null, $this->config->get('recaptchav3')); ?>
							</div>

						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_PUBLIC_KEY_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_PUBLIC_KEY'); ?>
							</span>
						</td>
						<td>
							<input type="text" name="nocaptchapublic" value="<?php echo $this->config->get('nocaptchapublic'); ?>" size="35" />
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_PRIVATE_KEY_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_PRIVATE_KEY'); ?>
							</span>
						</td>
						<td>
							<input type="text" name="nocaptchaprivate" value="<?php echo $this->config->get('nocaptchaprivate'); ?>" size="35" />
						</td>
					</tr>
					<tr>
						<td class="key">
							<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_LANGUAGE_TIPS'); ?>">
								<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_STYLE'); ?>
							</span>
						</td>
						<td>
							<select name="nocaptchatheme">
								<option value="light" <?php echo $this->config->get('nocaptchatheme') == 'light' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_LIGHT'); ?></option>
								<option value="dark" <?php echo $this->config->get('nocaptchatheme') == 'dark' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_DARK'); ?></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
	<div class="space-12"></div>
	<div class="widget-box">
		<div class="widget-header widget-header-flat">
			<h5><?php echo Text::_('COM_COMMUNITY_CONFIGURATION_CLOUDFLARE'); ?></h5>
		</div>
		<div class="widget-body">
			<div class="widget-main">
				<table>
					<tbody>
						<tr>
							<td width="250" class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_ENABLE_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_ENABLE'); ?>
								</span>
							</td>
							<td>
								<?php echo CHTMLInput::checkbox('nocloudflare', 'ace-switch ace-switch-5', null, $this->config->get('nocloudflare')); ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_PUBLIC_KEY_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_PUBLIC_KEY'); ?>
								</span>
							</td>
							<td>
								<input type="text" name="cloudflarepublic" value="<?php echo $this->config->get('cloudflarepublic'); ?>" size="35" />
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_PRIVATE_KEY_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_CLOUDFLARE_PRIVATE_KEY'); ?>
								</span>
							</td>
							<td>
								<input type="text" name="cloudflareprivate" value="<?php echo $this->config->get('cloudflareprivate'); ?>" size="35" />
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip" >
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_STYLE'); ?>
								</span>
							</td>
							<td>
								<select name="cloudflaretheme">
									<option value="light" <?php echo $this->config->get('cloudflaretheme') == 'light' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_LIGHT'); ?></option>
									<option value="dark" <?php echo $this->config->get('cloudflaretheme') == 'dark' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_DARK'); ?></option>
								</select>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<div class="space-12"></div>
	<div class="widget-box">
		<div class="widget-header widget-header-flat">
			<h5><?php echo Text::_('COM_COMMUNITY_CONFIGURATION_Hcaptcha'); ?></h5>
		</div>
		<div class="widget-body">
			<div class="widget-main">
				<table>
					<tbody>
						<tr>
							<td width="250" class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_ENABLE_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_ENABLE'); ?>
								</span>
							</td>
							<td>
								<?php echo CHTMLInput::checkbox('nohcaptcha', 'ace-switch ace-switch-5', null, $this->config->get('nohcaptcha')); ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_PUBLIC_KEY_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_PUBLIC_KEY'); ?>
								</span>
							</td>
							<td>
								<input type="text" name="hcaptchapublic" value="<?php echo $this->config->get('hcaptchapublic'); ?>" size="35" />
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip" title="<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_PRIVATE_KEY_TIPS'); ?>">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_Hcaptcha_PRIVATE_KEY'); ?>
								</span>
							</td>
							<td>
								<input type="text" name="hcaptchaprivate" value="<?php echo $this->config->get('hcaptchaprivate'); ?>" size="35" />
							</td>
						</tr>
						<tr>
							<td class="key">
								<span class="js-tooltip">
									<?php echo Text::_('COM_COMMUNITY_CONFIGURATION_REGISTRATIONS_NOCAPTCHA_STYLE'); ?>
								</span>
							</td>
							<td>
								<select name="hcaptchatheme">
									<option value="light" <?php echo $this->config->get('hcaptchatheme') == 'light' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_LIGHT'); ?></option>
									<option value="dark" <?php echo $this->config->get('hcaptchatheme') == 'dark' ? ' selected="selected"' : ''; ?>><?php echo Text::_('COM_COMMUNITY_DARK'); ?></option>
								</select>
							</td>
						</tr>

					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
<script>
	let boxes = document.querySelectorAll("input[name='nocloudflare'], input[name='nohcaptcha'], input[name='nocaptcha']");
	boxes.forEach(b => b.addEventListener("change", tick));

	function tick(e) {
		let state = e.target.checked;
		boxes.forEach(b => b.checked = false);
		e.target.checked = state;
	}
</script>