<?php
/**
 * @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

HTMLHelper::script('administrator/components/com_community/assets/js/tab.js');
HTMLHelper::script('administrator/components/com_community/assets/js/js.cookie.min.js');

$cookie = Factory::getApplication()->input->cookie;
$cookiePath = md5(Uri::getInstance());
Factory::getDocument()->addScriptOptions('cookiePath', $cookiePath);

$activeTab = $cookie->getString('myTab-' . $cookiePath, '#requirements', '');

?>
<!-- Tabs header -->
<ul id="myTab" class="nav nav-tabs">
    <!-- System requirement -->
    <li class="<?php echo $activeTab === '#requirements' ? 'active' : '' ?>">
        <a href="#requirements"><?php echo Text::_('COM_COMMUNITY_CONFIGURATION'); ?></a>
    </li>
    <li class="<?php echo $activeTab === '#preview' ? 'active' : '' ?>">
        <a href="#preview"><?php echo Text::_('COM_COMMUNITY_DIGEST_PREVIEW'); ?></a>
    </li>
    <li class="<?php echo $activeTab === '#pending' ? 'active' : '' ?>">
        <a href="#pending"><?php echo Text::_('COM_COMMUNITY_DIGEST_PENDING_LIST'); ?></a>
    </li>
</ul>

<div id="myTabContent" class="tab-content" style="padding-top:24px;">
    <!-- System requirements -->
    <div class="tab-pane <?php echo $activeTab === '#requirements' ? 'active' : '' ?>" id="requirements">
        <?php require __DIR__ . '/configuration.php'; ?>
    </div>

    <!-- Preview -->
    <div class="tab-pane <?php echo $activeTab === '#preview' ? 'active' : '' ?>" id="preview">
        <?php require __DIR__ . '/preview.php'; ?>
    </div>

    <!-- Pending List -->
    <div class="tab-pane <?php echo $activeTab === '#pending' ? 'active' : '' ?>" id="pending">
        <?php require __DIR__ . '/pending.php'; ?>
    </div>

</div>

<script>
    jQuery(document).ready($ => {
        initJomsTab('myTab');
    })
</script>