<?php
/**
 * @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Toolbar\ToolbarHelper;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

/**
 * Configuration view for JomSocial
 */
class CommunityViewThemepages extends HtmlView
{
    public function display( $tpl = null )
    {
        // Set the titlebar text
        ToolbarHelper::title( Text::_('COM_COMMUNITY_CONFIGURATION_THEME_PAGES'), 'pages');
        ToolBarHelper::apply();
        ToolBarHelper::cancel();

        $this->config = CFactory::getConfig();
        $scssTable = Table::getInstance('Theme', 'CommunityTable');
        $this->set('settings', $scssTable->getByKey('settings'));

        parent::display( $tpl );
    }
}