<?php
/**
 * @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

HTMLHelper::script('administrator/components/com_community/assets/js/tab.js');
HTMLHelper::script('administrator/components/com_community/assets/js/js.cookie.min.js');

?>
<!-- Tabs header -->
<ul id="myTab" class="nav nav-tabs">
    <!-- System requirement -->
    <li class="active">
        <a href="#requirements" data-toggle="tab"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_SYSTEM_REQUIREMENTS'); ?></a>
    </li>
    <!-- File modifications -->
    <li class="">
        <a href="#files-frontend" data-toggle="tab"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_FRONTEND'); ?></a>
    </li>
    <li class="">
        <a href="#files-backend" data-toggle="tab"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_BACKEND'); ?></a>
    </li>
    <!-- Installed plugins -->
    <li class=""><a href="#plugins" data-toggle="tab"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_PLUGINS_INSTALLED'); ?></a></li>
    <li class=""><a href="#stream_cleanup" data-toggle="tab"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_CLEANUP'); ?></a></li>
</ul>
<!-- Tabs content -->
<div id="myTabContent" class="tab-content" style="padding-top:24px;">
    <!-- System requirements -->
    <div class="tab-pane active" id="requirements">
        <div class="alert alert-info"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_SYSTEMREQUIREMENTS_TIPS'); ?></div>
        <?php require __DIR__ . '/systemrequirements.php'; ?>
    </div>
    <!-- Core files checking -->
    <div class="tab-pane fade" id="files-frontend">
        <div class="alert alert-info"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_FILESCHECKING_FRONTEND_TIPS'); ?></div>
        <?php $this->troubleshoots->coreFilesCheck(JPATH_ROOT . '/components/com_community'); ?>
    </div>
    <!-- Core files checking -->
    <div class="tab-pane fade" id="files-backend">
        <div class="alert alert-info"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_FILESCHECKING_BACKEND_TIPS'); ?></div>
        <?php $this->troubleshoots->coreFilesCheck(JPATH_ADMINISTRATOR . '/components/com_community'); ?>
    </div>
    <!-- Extensions -->
    <div class="tab-pane fade" id="plugins">
        <div class="alert alert-info"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_EXTENSIONS_TIPS'); ?></div>
        <?php require __DIR__ . '/plugins.php'; ?>
    </div>
    <!-- Stream cleanup -->
    <div class="tab-pane fade" id="stream_cleanup">
        <div class="alert alert-info"><?php echo Text::_('COM_COMMUNITY_TROUBLESHOOTS_CLEANUP_TIPS'); ?></div>
        <?php require __DIR__ . '/cleanup.php'; ?>
    </div>
</div>

<script>
    jQuery(document).ready($ => {
        initJomsTab('myTab');
    })
</script>