<?php

/**
 * @copyright (C) 2013 iJoomla, Inc. - All rights reserved.
 * @license GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html)
 * @author iJoomla.com <webmaster@ijoomla.com>
 * @url https://www.jomsocial.com/license-agreement
 * The PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript *are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0
 * More info at https://www.jomsocial.com/license-agreement
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

if (!class_exists('CommunityViewTroubleshoots')) {

    /**
     * Configuration view for JomSocial
     */
    class CommunityViewTroubleshoots extends HtmlView {

        public function display($tpl = null) {
            ToolbarHelper::title(Text::_('COM_COMMUNITY_TROUBLESHOOTS'));

            require_once JPATH_ADMINISTRATOR . '/components/com_community/libraries/troubleshoots.php';
            $troubleshoots = new CTroubleshoots();
            $this->set('troubleshoots', $troubleshoots);
            $this->set('systemRequirements', $troubleshoots->getSystemRequirements());
            $this->set('plugins', $troubleshoots->getCommunityPlugins());
            parent::display($tpl);
        }

    }

}
